Bring back Embracer and friends!

All feature requests and suggestions for upcoming releases of Cubase Pro 9, Cubase Artist 9 and Cubase Elements 9 can be posted here.
9Ball
New Member
Posts: 11
Joined: Sat Apr 12, 2014 8:12 pm
Contact:

Re: Bring back Embracer and friends!

Post by 9Ball »

A temporary fix is using this:
https://www.soundradix.com/products/32-lives/
Anyway, +1 for Embracer and Monologue.

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

9Ball wrote:
Thu Oct 05, 2017 12:33 am
A temporary fix is using this:
https://www.soundradix.com/products/32-lives/
Anyway, +1 for Embracer and Monologue.
Did you mean this could help us use Embracer Monologue in C9?

:shock: :?
This is not what you think it is./

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

Aha scrub that, I see it's Mac only anyway. :cry:
This is not what you think it is./

9Ball
New Member
Posts: 11
Joined: Sat Apr 12, 2014 8:12 pm
Contact:

Re: Bring back Embracer and friends!

Post by 9Ball »

Yes, this work, I'm sure there's something similar in Windows, many 32bit plug-ins still not get updated and, probably, never across the 64bit world for many reasons.

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

9Ball wrote:
Thu Oct 05, 2017 9:50 am
Yes, this work, I'm sure there's something similar in Windows, many 32bit plug-ins still not get updated and, probably, never across the 64bit world for many reasons.
I think the issue isn't the 32 > 64 Bit but the fact that Monologue/Embracer are VST2 technology. There doesn't seem to be a workaround for that.
This is not what you think it is./

9Ball
New Member
Posts: 11
Joined: Sat Apr 12, 2014 8:12 pm
Contact:

Re: Bring back Embracer and friends!

Post by 9Ball »

They still work like a charm in cubase 8.5 and lower, also in 64bit. I think it's only a company rule, Steinberg want to stop supporting 32bit and VST 2.x software, VST3 technology is no more experimental and it's time to look forward. Most of the majority of software house are doing the same (recently Sonnox is upgrading their plug-ins to VST3 version and, believe me, it's anyway late). VST3 offers many advantages, like less CPU charge, performance and the ability to switch off when not in use, and of course, side chain it's easy and quick.

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

9Ball wrote:
Thu Oct 05, 2017 11:15 am
They still work like a charm in cubase 8.5 and lower, also in 64bit. I think it's only a company rule, Steinberg want to stop supporting 32bit and VST 2.x software, VST3 technology is no more experimental and it's time to look forward. Most of the majority of software house are doing the same (recently Sonnox is upgrading their plug-ins to VST3 version and, believe me, it's anyway late). VST3 offers many advantages, like less CPU charge, performance and the ability to switch off when not in use, and of course, side chain it's easy and quick.
Yes, thanks. Can understand some of this.

I just wish they had left in the option to use VST 2.x software at the expense of instability (if that even ended up being the case).
This is not what you think it is./

9Ball
New Member
Posts: 11
Joined: Sat Apr 12, 2014 8:12 pm
Contact:

Re: Bring back Embracer and friends!

Post by 9Ball »

If I'm right you can, just disable "plug-ins guardian" or something like that but, as you said, at the expense of stability. Certain VST instruments don't work without an apparent motivation, like BazzISM for example.

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

9Ball wrote:
Thu Oct 05, 2017 8:02 pm
If I'm right you can, just disable "plug-ins guardian" or something like that but, as you said, at the expense of stability. Certain VST instruments don't work without an apparent motivation, like BazzISM for example.
Any details on this (how to disable plug-ins guardian)?

Anyone know for sure. It would be great to get a resolution to this thread.
This is not what you think it is./

9Ball
New Member
Posts: 11
Joined: Sat Apr 12, 2014 8:12 pm
Contact:

Re: Bring back Embracer and friends!

Post by 9Ball »

My fault, it was "plug-ins sentinel" instead of guardian.

https://helpcenter.steinberg.de/hc/en-u ... /207348390

Read this, u'll find all is needed for re-enable blacklisted plug-ins.

That said, 32bit are no more supported in 64bit installation, but, looking around on Google or YouTube, I remember that someone found a way to "bypass" the process.
Sincerely I never investigated on this.

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

9Ball wrote:
Fri Oct 06, 2017 12:26 am
My fault, it was "plug-ins sentinel" instead of guardian.

https://helpcenter.steinberg.de/hc/en-u ... /207348390

Read this, u'll find all is needed for re-enable blacklisted plug-ins.

That said, 32bit are no more supported in 64bit installation, but, looking around on Google or YouTube, I remember that someone found a way to "bypass" the process.
Sincerely I never investigated on this.
Thanks.

If anyone knows how to bypass the C9 bock on VST 2.x plugs could be great to know.
This is not what you think it is./

9Ball
New Member
Posts: 11
Joined: Sat Apr 12, 2014 8:12 pm
Contact:

Re: Bring back Embracer and friends!

Post by 9Ball »

You can use jbridge but, as known, it's absolutely unstable.
https://jstuff.wordpress.com/jbridge/
This is the only way mate, try out the demo and see if this work for you.

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

9Ball wrote:
Fri Oct 06, 2017 2:16 pm
You can use jbridge but, as known, it's absolutely unstable.
https://jstuff.wordpress.com/jbridge/
This is the only way mate, try out the demo and see if this work for you.
Thanks.

Won't work, jBridge can bridge 32 > 64 bit VSTs (and mostly does it very well) but not VST 2.x, ah well... :?
This is not what you think it is./

will3music
New Member
Posts: 10
Joined: Thu Nov 17, 2011 2:23 pm
Contact:

Re: Bring back Embracer and friends!

Post by will3music »

Wow, just come back to this old topic after a few years and it's great to see how many people agree (or, at least did so back in 2017!) :D

I actually found it by googling "Steinberg Embracer", began reading the topic and thought: man, I really agree with this guy! Then I realised it was me! :lol:

I recently decided to get the Embracer synth working again, in whatever way possible: I remember all those lush sounds it's capable of producing, and have still yet to find a synth (hardware or software) that replicates this wonderful little VST.

So, I've dual-booted Windows 7 Home Premium onto my (Win 10) machine and I'm running Cubase 6, both in 64-bit. I can confirm that this setup allows Embracer to work with no problems, so if anyone needs it - this is a good way to do it.

As an added bonus, I can now use the Editor/Librarian for my SH-201 as well, another synth that time forgot!

*(As far as I recall, Embracer and co. are also available on Cubase 5 and 7 and indeed will work in any version up to 8.5 with VST 32/64-bit bridging/wrapping, as others have mentioned: it is indeed the fact that it's VST 2 that stops it from working in other versions).

skank
Junior Member
Posts: 109
Joined: Thu Nov 10, 2011 11:54 am
Contact:

Re: Bring back Embracer and friends!

Post by skank »

@will3music that's great you got it working! And thanks for the heads up.

It was a great synth indeed.
This is not what you think it is./

Post Reply

Return to “Feature Requests and Suggestions”

Who is online

Users browsing this forum: No registered users and 2 guests